Bug 861736 - RFE - Add JSON schema
RFE - Add JSON schema
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Pasternak
Oded Ramraz
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 06:12 EDT by Gal Leibovici
Modified: 2016-02-10 14:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 07:28:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gal Leibovici 2012-09-30 06:12:28 EDT
We should add JSON schema for rhevm in addition to xsd schema.

Maybe it could be generated from xsd?
Comment 1 Michael Pasternak 2012-10-03 07:28:45 EDT
Gal,

You are confusing, xsd schema is not xml, but language that defines xml,
and there is no such thing as json schema/spec yet it's still at IETF draft
stage,

i know there are few tools that can convert xml to json and v.v, but best way
would be fetching the resource from api using json format.
Comment 2 Gal Leibovici 2012-10-03 08:05:51 EDT
I wanted a JSON schema in addition to xsd so I could verify JSON responses as we verify XML responses according to xsd.
Comment 3 Michael Pasternak 2012-10-03 08:11:06 EDT
ok, but as i mentioned json schema still in dev. and afaik there is no 
time-frame for it.

Note You need to log in before you can comment on or make changes to this bug.